Index: branches/comu-ver2/html/user_data/plugins/recommend/tpl/bloc.tpl
===================================================================
--- branches/comu-ver2/html/user_data/plugins/recommend/tpl/bloc.tpl	(revision 18371)
+++ branches/comu-ver2/html/user_data/plugins/recommend/tpl/bloc.tpl	(revision 18499)
@@ -14,5 +14,5 @@
                 
                 <a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrProduct.product_id}-->">
-                    <img src="<!--{$smarty.const.SITE_URL}-->resize_image.php?image=<!--{$arrProduct.main_list_image|sfNoImageMainList|escape}-->&amp;width=65&amp;height=65" alt="<!--{$arrProduct.name|escape}-->" /></a>
+                    <img src="<!--{$smarty.const.URL_DIR}-->resize_image.php?image=<!--{$arrProduct.main_list_image|sfNoImageMainList|escape}-->&amp;width=65&amp;height=65" alt="<!--{$arrProduct.name|escape}-->" /></a>
 
                 <!--{assign var=price02_min value=`$arrProduct.price02_min`}-->
Index: branches/comu-ver2/data/Smarty/templates/default/bloc/best5.tpl
===================================================================
--- branches/comu-ver2/data/Smarty/templates/default/bloc/best5.tpl	(revision 18397)
+++ branches/comu-ver2/data/Smarty/templates/default/bloc/best5.tpl	(revision 18499)
@@ -31,5 +31,5 @@
 
       <a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrBestProducts[cnt].product_id|escape:url}-->">
-        <img src="<!--{$smarty.const.SITE_URL}-->resize_image.php?image=<!--{$arrBestProducts[cnt].main_list_image|sfNoImageMainList|escape}-->&amp;width=48&amp;height=48" alt="<!--{$arrBestProducts[cnt].name|escape}-->" /></a>
+        <img src="<!--{$smarty.const.URL_DIR}-->resize_image.php?image=<!--{$arrBestProducts[cnt].main_list_image|sfNoImageMainList|escape}-->&amp;width=48&amp;height=48" alt="<!--{$arrBestProducts[cnt].name|escape}-->" /></a>
 
       <h3>
@@ -52,5 +52,5 @@
 
       <a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrBestProducts[$cnt2].product_id|escape:url}-->">
-        <img src="<!--{$smarty.const.SITE_URL}-->resize_image.php?image=<!--{$arrBestProducts[$cnt2].main_list_image|sfNoImageMainList|escape}-->&amp;width=48&amp;height=48" alt="<!--{$arrBestProducts[$cnt2].name|escape}-->" /></a>
+        <img src="<!--{$smarty.const.URL_DIR}-->resize_image.php?image=<!--{$arrBestProducts[$cnt2].main_list_image|sfNoImageMainList|escape}-->&amp;width=48&amp;height=48" alt="<!--{$arrBestProducts[$cnt2].name|escape}-->" /></a>
 
       <h3>
Index: branches/comu-ver2/data/Smarty/templates/default/admin/products/confirm.tpl
===================================================================
--- branches/comu-ver2/data/Smarty/templates/default/admin/products/confirm.tpl	(revision 18275)
+++ branches/comu-ver2/data/Smarty/templates/default/admin/products/confirm.tpl	(revision 18499)
@@ -236,5 +236,5 @@
       <th>関連商品(<!--{$smarty.section.cnt.iteration}-->)<br />
       <!--{if $arrRecommend[$recommend_no].product_id|strlen >= 1}-->
-        <img src="<!--{$smarty.const.SITE_URL}-->resize_image.php?image=<!--{$arrRecommend[$recommend_no].main_list_image|sfNoImageMainList|escape}-->&amp;width=65&amp;height=65" alt="<!--{$arrRecommend[$recommend_no].name|escape}-->">
+        <img src="<!--{$smarty.const.URL_DIR}-->resize_image.php?image=<!--{$arrRecommend[$recommend_no].main_list_image|sfNoImageMainList|escape}-->&amp;width=65&amp;height=65" alt="<!--{$arrRecommend[$recommend_no].name|escape}-->">
       <!--{/if}-->
       </th>
Index: branches/comu-ver2/data/Smarty/templates/default/admin/products/index.tpl
===================================================================
--- branches/comu-ver2/data/Smarty/templates/default/admin/products/index.tpl	(revision 18254)
+++ branches/comu-ver2/data/Smarty/templates/default/admin/products/index.tpl	(revision 18499)
@@ -213,5 +213,5 @@
       <td rowspan="2"><!--{$arrProducts[cnt].product_id}--></td>
       <td rowspan="2">
-      <img src="<!--{$smarty.const.SITE_URL}-->resize_image.php?image=<!--{$arrProducts[cnt].main_list_image|sfNoImageMainList|escape}-->&amp;width=65&amp;height=65">
+      <img src="<!--{$smarty.const.URL_DIR}-->resize_image.php?image=<!--{$arrProducts[cnt].main_list_image|sfNoImageMainList|escape}-->&amp;width=65&amp;height=65">
       </td>
       <td rowspan="2"><!--{$arrProducts[cnt].product_code_min|escape}-->
Index: branches/comu-ver2/data/Smarty/templates/default/admin/products/product_select.tpl
===================================================================
--- branches/comu-ver2/data/Smarty/templates/default/admin/products/product_select.tpl	(revision 18486)
+++ branches/comu-ver2/data/Smarty/templates/default/admin/products/product_select.tpl	(revision 18499)
@@ -83,5 +83,5 @@
   <tr>
     <td align="center">
-      <img src="<!--{$smarty.const.SITE_URL}-->resize_image.php?image=<!--{$arrProducts[cnt].main_list_image|sfNoImageMainList|escape}-->&amp;width=65&amp;height=65" alt="<!--{$arrRecommend[$recommend_no].name|escape}-->" />
+      <img src="<!--{$smarty.const.URL_DIR}-->resize_image.php?image=<!--{$arrProducts[cnt].main_list_image|sfNoImageMainList|escape}-->&amp;width=65&amp;height=65" alt="<!--{$arrRecommend[$recommend_no].name|escape}-->" />
     </td>  
     <td><!--{$arrProducts[cnt].product_code|escape|default:"-"}--></td>
Index: branches/comu-ver2/data/Smarty/templates/default/admin/products/product_rank.tpl
===================================================================
--- branches/comu-ver2/data/Smarty/templates/default/admin/products/product_rank.tpl	(revision 18254)
+++ branches/comu-ver2/data/Smarty/templates/default/admin/products/product_rank.tpl	(revision 18499)
@@ -100,5 +100,5 @@
           <td align="center">
             <!--{* 商品画像 *}-->
-            <img src="<!--{$smarty.const.SITE_URL}-->resize_image.php?image=<!--{$arrProductsList[cnt].main_list_image|sfNoImageMainList|escape}-->&amp;width=65&amp;height=65" alt="<!--{$arrProducts[cnt].name|escape}-->">
+            <img src="<!--{$smarty.const.URL_DIR}-->resize_image.php?image=<!--{$arrProductsList[cnt].main_list_image|sfNoImageMainList|escape}-->&amp;width=65&amp;height=65" alt="<!--{$arrProducts[cnt].name|escape}-->">
           </td>
           <td align="center">
Index: branches/comu-ver2/data/Smarty/templates/default/admin/order/product_select.tpl
===================================================================
--- branches/comu-ver2/data/Smarty/templates/default/admin/order/product_select.tpl	(revision 18486)
+++ branches/comu-ver2/data/Smarty/templates/default/admin/order/product_select.tpl	(revision 18499)
@@ -163,5 +163,5 @@
   <tr>
     <td class="center">
-      <img src="<!--{$smarty.const.SITE_URL}-->resize_image.php?image=<!--{$arrProducts[cnt].main_list_image|sfNoImageMainList|escape}-->&width=65&height=65" alt="<!--{$arrRecommend[$recommend_no].name|escape}-->" />
+      <img src="<!--{$smarty.const.URL_DIR}-->resize_image.php?image=<!--{$arrProducts[cnt].main_list_image|sfNoImageMainList|escape}-->&width=65&height=65" alt="<!--{$arrRecommend[$recommend_no].name|escape}-->" />
     </td>  
     <td>
Index: branches/comu-ver2/data/Smarty/templates/default/admin/contents/campaign_create_tag.tpl
===================================================================
--- branches/comu-ver2/data/Smarty/templates/default/admin/contents/campaign_create_tag.tpl	(revision 18254)
+++ branches/comu-ver2/data/Smarty/templates/default/admin/contents/campaign_create_tag.tpl	(revision 18499)
@@ -74,5 +74,5 @@
   <tr>
     <td class="center">
-      <img src="<!--{$smarty.const.SITE_URL}-->resize_image.php?image=<!--{$arrProducts[cnt].main_list_image|sfNoImageMainList|escape}-->&width=65&height=65" alt="<!--{$arrRecommend[$recommend_no].name|escape}-->" />
+      <img src="<!--{$smarty.const.URL_DIR}-->resize_image.php?image=<!--{$arrProducts[cnt].main_list_image|sfNoImageMainList|escape}-->&width=65&height=65" alt="<!--{$arrRecommend[$recommend_no].name|escape}-->" />
     </td>  
     <td><!--{$arrProducts[cnt].product_code|escape|default:"-"}--></td>
Index: branches/comu-ver2/data/Smarty/templates/default/admin/contents/recomend_search.tpl
===================================================================
--- branches/comu-ver2/data/Smarty/templates/default/admin/contents/recomend_search.tpl	(revision 18486)
+++ branches/comu-ver2/data/Smarty/templates/default/admin/contents/recomend_search.tpl	(revision 18499)
@@ -77,5 +77,5 @@
     <tr>
       <td class="center">
-        <img src="<!--{$smarty.const.SITE_URL}-->resize_image.php?image=<!--{$arrProducts[cnt].main_list_image|sfNoImageMainList|escape}-->&width=65&height=65" alt="" />
+        <img src="<!--{$smarty.const.URL_DIR}-->resize_image.php?image=<!--{$arrProducts[cnt].main_list_image|sfNoImageMainList|escape}-->&width=65&height=65" alt="" />
       </td>
       <td><!--{$arrProducts[cnt].product_code|escape|default:"-"}--></td>
Index: branches/comu-ver2/data/Smarty/templates/default/detail.tpl
===================================================================
--- branches/comu-ver2/data/Smarty/templates/default/detail.tpl	(revision 18428)
+++ branches/comu-ver2/data/Smarty/templates/default/detail.tpl	(revision 18499)
@@ -464,5 +464,5 @@
                     
                     <a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrRecommend[cnt].product_id|escape:url}-->">
-                        <img src="<!--{$smarty.const.SITE_URL}-->resize_image.php?image=<!--{$arrRecommend[cnt].main_list_image|sfNoImageMainList|escape}-->&amp;width=65&amp;height=65" alt="<!--{$arrRecommend[cnt].name|escape}-->" /></a>
+                        <img src="<!--{$smarty.const.URL_DIR}-->resize_image.php?image=<!--{$arrRecommend[cnt].main_list_image|sfNoImageMainList|escape}-->&amp;width=65&amp;height=65" alt="<!--{$arrRecommend[cnt].name|escape}-->" /></a>
 
                     <!--{assign var=price02_min value=`$arrRecommend[cnt].price02_min`}-->
@@ -489,5 +489,5 @@
                     
                     <a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrRecommend[cnt].product_id|escape:url}-->">
-                        <img src="<!--{$smarty.const.SITE_URL}-->resize_image.php?image=<!--{$arrRecommend[cnt].main_list_image|sfNoImageMainList|escape}-->&amp;width=65&amp;height=65" alt="<!--{$arrRecommend[cnt].name|escape}-->" /></a>
+                        <img src="<!--{$smarty.const.URL_DIR}-->resize_image.php?image=<!--{$arrRecommend[cnt].main_list_image|sfNoImageMainList|escape}-->&amp;width=65&amp;height=65" alt="<!--{$arrRecommend[cnt].name|escape}-->" /></a>
                     
                     <!--{assign var=price02_min value=`$arrRecommend[cnt].price02_min`}-->