Index: branches/version-2/data/Smarty/templates/default/mypage/history.tpl
===================================================================
--- branches/version-2/data/Smarty/templates/default/mypage/history.tpl	(revision 18007)
+++ branches/version-2/data/Smarty/templates/default/mypage/history.tpl	(revision 18561)
@@ -33,8 +33,8 @@
     <strong>お支払い方法：&nbsp;</strong><!--{$arrPayment[$arrDisp.payment_id]|escape}-->
     <!--{if $arrDisp.deliv_time_id != ""}--><br />
-    <strong>お届け時間指定：&nbsp;</strong><!--{$arrDelivTime[$arrDisp.deliv_time_id]|escape}-->
+    <strong>お届け時間：&nbsp;</strong><!--{$arrDelivTime[$arrDisp.deliv_time_id]|escape}-->
     <!--{/if}-->
     <!--{if $arrDisp.deliv_date != ""}--><br />
-    <strong>お届け日指定：&nbsp;</strong><!--{$arrDisp.deliv_date|escape}-->
+    <strong>お届け日：&nbsp;</strong><!--{$arrDisp.deliv_date|escape}-->
     <!--{/if}-->
     </p>
Index: branches/version-2/data/Smarty/templates/default/shopping/confirm.tpl
===================================================================
--- branches/version-2/data/Smarty/templates/default/shopping/confirm.tpl	(revision 18432)
+++ branches/version-2/data/Smarty/templates/default/shopping/confirm.tpl	(revision 18561)
@@ -194,8 +194,8 @@
       <!--お届け先ここまで-->
 
-      <table summary="お支払方法・お届け時間の指定・その他お問い合わせ" class="delivname">
+      <table summary="お支払方法・お届け日時の指定・その他お問い合わせ" class="delivname">
         <thead>
         <tr>
-          <th colspan="2">▼お支払方法・お届け時間の指定・その他お問い合わせ</th>
+          <th colspan="2">▼お支払方法・お届け日時の指定・その他お問い合わせ</th>
         </tr>
         </thead>
Index: branches/version-2/data/Smarty/templates/default/shopping/payment.tpl
===================================================================
--- branches/version-2/data/Smarty/templates/default/shopping/payment.tpl	(revision 18432)
+++ branches/version-2/data/Smarty/templates/default/shopping/payment.tpl	(revision 18561)
@@ -43,5 +43,5 @@
           <tr>
             <th>選択</th>
-            <th colspan="<!--{if $img_show == false}-->2<!--{else}-->3<!--{/if}-->">お支払方法</th>
+            <th colspan="<!--{if $img_show == false}-->1<!--{else}-->2<!--{/if}-->">お支払方法</th>
           </tr>
           <!--{section name=cnt loop=$arrPayment}-->
@@ -52,10 +52,10 @@
               <label for="pay_<!--{$smarty.section.cnt.iteration}-->"><!--{$arrPayment[cnt].payment_method|escape}--><!--{if $arrPayment[cnt].note != ""}--><!--{/if}--></label>
             </td>
+           <!--{if $img_show}-->
+            <td>
             <!--{if $arrPayment[cnt].payment_image != ""}-->
-                <td>
-                    <img src="<!--{$smarty.const.IMAGE_SAVE_URL}--><!--{$arrPayment[cnt].payment_image}-->" />
-                </td>
-            <!--{elseif $img_show == true}-->
-                <td></td>
+              <img src="<!--{$smarty.const.IMAGE_SAVE_URL}--><!--{$arrPayment[cnt].payment_image}-->" />
+            <!--{/if}-->
+            </td>
             <!--{/if}-->
           </tr>
@@ -68,5 +68,5 @@
         <p>ご希望の方は、お届け時間を選択してください。</p>
         <div>
-          <!--★配達日指定★-->
+          <!--★お届け日★-->
           <!--{assign var=key value="deliv_date"}-->
           <span class="attention"><!--{$arrErr[$key]}--></span>
@@ -80,7 +80,8 @@
             </select>
           <!--{/if}-->
+          <!--★お届け時間★-->
           <!--{assign var=key value="deliv_time_id"}-->
           <span class="attention"><!--{$arrErr[$key]}--></span>
-          <em>お届け時間指定：</em>
+          <em>お届け時間：</em>
           <select name="<!--{$key}-->" style="<!--{$arrErr[$key]|sfGetErrorColor}-->">
             <option value="" selected="">指定なし</option>
Index: branches/version-2/data/Smarty/templates/default/shopping/nonmember_input.tpl
===================================================================
--- branches/version-2/data/Smarty/templates/default/shopping/nonmember_input.tpl	(revision 16583)
+++ branches/version-2/data/Smarty/templates/default/shopping/nonmember_input.tpl	(revision 18561)
@@ -170,5 +170,5 @@
           <!--{assign var=key value="deliv_check"}-->
           <input type="checkbox" name="<!--{$key}-->" value="1" onclick="fnCheckInputDeliv();" <!--{$arrForm[$key].value|sfGetChecked:1}--> id="deliv_label" />
-          <label for="deliv_label"><em>配送先を指定</em>　※上記に入力されたご住所と同一の場合は省略可能です。</label>
+          <label for="deliv_label"><em>お届け先を指定</em>　※上記に入力されたご住所と同一の場合は省略可能です。</label>
           </th>
         </tr>
Index: branches/version-2/data/Smarty/templates/default/admin/contents/inquiry.tpl
===================================================================
--- branches/version-2/data/Smarty/templates/default/admin/contents/inquiry.tpl	(revision 16761)
+++ branches/version-2/data/Smarty/templates/default/admin/contents/inquiry.tpl	(revision 18561)
@@ -145,33 +145,41 @@
 							</tr>		
 							<!--{section name=question loop=$cnt_question}-->
+              <!--{assign var=index value=$smarty.section.question.index}-->
 							<tr class="fs12n">
 								<td width="140" bgcolor="#f2f1ec">質問<!--{$smarty.section.question.iteration}--><!--{if $smarty.section.question.iteration eq 1}--><span class="red">*</span><!--{/if}--></td>
 								<td width="637" bgcolor="#ffffff">
-								<input type="text" name="question[<!--{$smarty.section.question.index}-->][name]" size="70" class="box70" maxlength="<!--{$smarty.const.STEXT_LEN}-->" value="<!--{$smarty.post.question[$smarty.section.question.index].name|escape}-->" <!--{if $ERROR.question[$smarty.section.question.index].name}--><!--{sfSetErrorStyle}--><!--{/if}-->>
-								<!--{if $ERROR.question[$smarty.section.question.index].name}--><br><span class="red"><!--{$ERROR.question[$smarty.section.question.index].name}--></span><!--{/if}-->
+								<input type="text" name="question[<!--{$index}-->][name]" size="70" class="box70" maxlength="<!--{$smarty.const.STEXT_LEN}-->" value="<!--{$smarty.post.question[$index].name|escape}-->" <!--{if $ERROR.question[$index].name}--><!--{sfSetErrorStyle}--><!--{/if}-->>
+								<!--{if $ERROR.question[$index].name}--><br><span class="red"><!--{$ERROR.question[$index].name}--></span><!--{/if}-->
 								</td>
 							</tr>
 							<tr class="fs12n" bgcolor="#ffffff">
 								<td colspan="2">
-								<span style=background-color:"<!--{$ERROR_COLOR.question[$smarty.section.question.index].kind}-->">
-								<!--{html_radios_ex onClick="func_disp(`$smarty.section.question.index`)" name="question[`$smarty.section.question.index`][kind]" options="$arrQuestion" selected="`$smarty.post.question[$smarty.section.question.index].kind`"}-->
+								<span style=background-color:"<!--{$ERROR_COLOR.question[$index].kind}-->">
+								<!--{html_radios_ex onClick="func_disp(`$index`)" name="question[`$index`][kind]" options="$arrQuestion" selected="`$smarty.post.question[$index].kind`"}-->
 								</span>
-								<!--{if $ERROR.question[$smarty.section.question.index].kind}--><br><span class="red"><!--{$ERROR.question[$smarty.section.question.index].kind}--></span><!--{/if}-->
-								</td>
-							</tr>
+								<!--{if $ERROR.question[$index].kind}--><br><span class="red"><!--{$ERROR.question[$index].kind}--></span><!--{/if}-->
+								</td>
+							</tr>
+              <!--{** 回答 **}-->
 							<tr class="fs12n" bgcolor="#ffffff"><td colspan="2">
-								<table id="TD<!--{$smarty.section.question.index}-->">
-								<tr class="fs12n" bgcolor="#ffffff">
-									<td colspan="2">1 <input type="text" name="question[<!--{$smarty.section.question.index}-->][option][0]" size="40" class="box40" maxlength="<!--{$smarty.const.STEXT_LEN}-->" value="<!--{$smarty.post.question[$smarty.section.question.index].option.0|escape}-->" <!--{if $ERROR.question[$smarty.section.question.index].kind}--><!--{sfSetErrorStyle}--><!--{/if}-->>　2 <input type="text" name="question[<!--{$smarty.section.question.index}-->][option][1]" size="40" class="box40" value="<!--{$smarty.post.question[$smarty.section.question.index].option.1|escape}-->" <!--{if $ERROR.question[$smarty.section.question.index].kind}--><!--{sfSetErrorStyle}--><!--{/if}-->></td>
-								</tr>
-								<tr class="fs12n" bgcolor="#ffffff">
-									<td colspan="2">3 <input type="text" name="question[<!--{$smarty.section.question.index}-->][option][2]" size="40" class="box40" maxlength="<!--{$smarty.const.STEXT_LEN}-->" value="<!--{$smarty.post.question[$smarty.section.question.index].option.2|escape}-->">　4 <input type="text" name="question[<!--{$smarty.section.question.index}-->][option][3]" size="40" class="box40" value="<!--{$smarty.post.question[$smarty.section.question.index].option.3|escape}-->"></td>
-								</tr>
-								<tr class="fs12n" bgcolor="#ffffff">
-									<td colspan="2">5 <input type="text" name="question[<!--{$smarty.section.question.index}-->][option][4]" size="40" class="box40" maxlength="<!--{$smarty.const.STEXT_LEN}-->" value="<!--{$smarty.post.question[$smarty.section.question.index].option.4|escape}-->">　6 <input type="text" name="question[<!--{$smarty.section.question.index}-->][option][5]" size="40" class="box40" value="<!--{$smarty.post.question[$smarty.section.question.index].option.5|escape}-->"></td>
-								</tr>
-								<tr class="fs12n" bgcolor="#ffffff">
-									<td colspan="2">7 <input type="text" name="question[<!--{$smarty.section.question.index}-->][option][6]" size="40" class="box40" maxlength="<!--{$smarty.const.STEXT_LEN}-->" value="<!--{$smarty.post.question[$smarty.section.question.index].option.6|escape}-->">　8 <input type="text" name="question[<!--{$smarty.section.question.index}-->][option][7]" size="40" class="box40" value="<!--{$smarty.post.question[$smarty.section.question.index].option.7|escape}-->"></td>
-								</tr>
+								<table id="TD<!--{$index}-->">
+							  <!--{section name=option loop=4 start=0 max=7}-->
+								  <tr class="fs12n" bgcolor="#ffffff">
+								  	<td colspan="2">
+                      <!--{assign var=option_index1 value=$smarty.section.option.index*2}-->
+                      <!--{assign var=option_index2 value=$option_index1+1}-->
+                      <!--{assign var=num1 value=$option_index1+1}-->
+                      <!--{assign var=num2 value=$option_index2+1}-->
+                      <!--{** 回答エラー **}-->
+                      <!--{assign var=error1 value=$ERROR.question[$index].option[$option_index1]}-->
+								      <!--{if $error1}--><span class="red"><!--{$error1}--></span><br /><!--{/if}-->
+                      <!--{assign var=error2 value=$ERROR.question[$index].option[$option_index2]}-->
+								      <!--{if $error2}--><span class="red"><!--{$error2}--></span><br /><!--{/if}-->
+                      <!--{** 回答フォーム **}-->
+                      <!--{$num1}--> <input type="text" name="question[<!--{$index}-->][option][<!--{$option_index1}-->]" size="40" class="box40" maxlength="<!--{$smarty.const.STEXT_LEN}-->" value="<!--{$smarty.post.question[$index].option[$option_index1]|escape}-->" <!--{if $error1}--><!--{sfSetErrorStyle}--><!--{/if}-->>　
+                      <!--{$num2}--> <input type="text" name="question[<!--{$index}-->][option][<!--{$option_index2}-->]" size="40" class="box40" maxlength="<!--{$smarty.const.STEXT_LEN}-->" value="<!--{$smarty.post.question[$index].option[$option_index2]|escape}-->" <!--{if $error2}--><!--{sfSetErrorStyle}--><!--{/if}-->>
+                    </td>
+								  </tr>
+                <!--{/section}-->
 								</table>
 							</td></tr>
Index: branches/version-2/data/Smarty/templates/default/admin/basis/delivery_input.tpl
===================================================================
--- branches/version-2/data/Smarty/templates/default/admin/basis/delivery_input.tpl	(revision 16582)
+++ branches/version-2/data/Smarty/templates/default/admin/basis/delivery_input.tpl	(revision 18561)
@@ -98,5 +98,5 @@
 										<!--{/if}-->
 										<tr class="fs12n">
-										<td width="100" bgcolor="#f2f1ec">配送時間<!--{$keyno}--></td>
+										<td width="100" bgcolor="#f2f1ec">お届け時間<!--{$keyno}--></td>
 										<!--{if $smarty.section.cnt.last}-->
 										<!--{assign var=colspan value="3"}-->	
@@ -107,5 +107,5 @@
 										<input type="text" name="<!--{$arrForm[$key].keyname}-->" value="<!--{$arrForm[$key].value|escape}-->" maxlength="<!--{$arrForm[$key].length}-->" style="<!--{$arrErr[$key]|sfGetErrorColor}-->" size="20" class="box20" /></td>
 									<!--{else}-->
-										<td width="100" bgcolor="#f2f1ec">配送時間<!--{$keyno}--></td>
+										<td width="100" bgcolor="#f2f1ec">お届け時間<!--{$keyno}--></td>
 										<td width="248" bgcolor="#ffffff"><input type="text" name="<!--{$arrForm[$key].keyname}-->" value="<!--{$arrForm[$key].value|escape}-->" maxlength="<!--{$arrForm[$key].length}-->" size="20" class="box20" style="<!--{$arrErr[$key]|sfGetErrorColor}-->" /> </td>
 										</tr>
Index: branches/version-2/data/Smarty/templates/default/admin/order/edit.tpl
===================================================================
--- branches/version-2/data/Smarty/templates/default/admin/order/edit.tpl	(revision 18432)
+++ branches/version-2/data/Smarty/templates/default/admin/order/edit.tpl	(revision 18561)
@@ -169,5 +169,8 @@
                                     <option value="">選択してください</option>
                                     <!--{html_options options=$arrORDERSTATUS selected=$arrForm[$key].value}-->
-                                    </select>
+                                    </select><br />
+                                    <!--{if $smarty.get.mode != 'add'}-->
+                                    <span class="red12">※ <!--{$arrORDERSTATUS[$smarty.const.ORDER_CANCEL]}-->に変更時には、在庫数を手動で戻してください。</span>
+                                    <!--{/if}-->
                                 </td>
                             </tr>
@@ -310,8 +313,8 @@
                         </table>
 
-                        <!--▼配送先情報ここから-->
+                        <!--▼お届け先情報ここから-->
                         <table width="678" border="0" cellspacing="1" cellpadding="8" summary=" ">
                             <tr class="fs12n">
-                                <td bgcolor="#f2f1ec" width="717" colspan="4">▼配送先情報
+                                <td bgcolor="#f2f1ec" width="717" colspan="4">▼お届け先情報
                                 &nbsp;&nbsp;&nbsp;<input type="button" name="input_from_order_data" value="上記お客様情報をコピー" onclick="fnCopyFromOrderData();" /></td>
                             </tr>
@@ -393,5 +396,5 @@
                             </tr>
                         </table>
-                        <!--▲配送先情報ここまで-->
+                        <!--▲お届け先情報ここまで-->
 
                         <table width="678" border="0" cellspacing="0" cellpadding="0" summary=" ">
@@ -407,5 +410,7 @@
                                 <input type="button" name="add_product" value="商品の追加" onclick="win03('<!--{$smarty.const.SITE_URL}-->admin/order/product_select.php<!--{if $tpl_order_id}-->?order_id=<!--{$tpl_order_id}--><!--{/if}-->', 'search', '500', '500'); " />
                                 <br />
+<!--{**
                                 <span class="red">（商品の追加、及び数量の変更に伴う在庫数の変更は手動にてお願いします。)</span>
+**}-->
                                 <br />
                                 <span class="red12"><!--{$arrErr.product_id}--></span>
@@ -556,5 +561,5 @@
 
                             <tr class="fs12n">
-                                <td bgcolor="#f2f1ec" colspan="6">▼時間指定</td>
+                                <td bgcolor="#f2f1ec" colspan="6">▼お届け指定</td>
                             </tr>
                             <tr class="fs12n">
@@ -570,11 +575,18 @@
                             <!--{assign var=key value="deliv_date"}-->
                             <tr class="fs12n">
-                                <td bgcolor="#f2f1ec" colspan="6">▼配達日指定</td>
+                                <td bgcolor="#f2f1ec" colspan="6">▼お届け日指定</td>
                             </tr>
                             <tr class="fs12n">
                                 <td bgcolor="#ffffff" colspan="6">
-                                <!--{assign var=key value="deliv_date"}-->
-                                <span class="red12"><!--{$arrErr[$key]}--></span>
-                                <input name="<!--{$key|escape}-->" value="<!--{$arrForm[$key].value|escape}-->" style="<!--{$arrErr[$key]|sfGetErrorColor}-->" size="20" maxlength="<!--{$arrForm[$key].length}-->" />
+                                  <span class="attention"><!--{$arrErr.deliv_date_year}--></span> 
+                                  <select name="deliv_date_year" style="<!--{$arrErr[$key]|sfGetErrorColor}-->"> 
+                                    <!--{html_options options=$arrYearDelivDate selected=$arrForm.deliv_date_year.value|default:""}--> 
+                                  </select>年 
+                                  <select name="deliv_date_month" style="<!--{$arrErr[$key]|sfGetErrorColor}-->"> 
+                                    <!--{html_options options=$arrMonthDelivDate selected=$arrForm.deliv_date_month.value|default:""}--> 
+                                  </select>月 
+                                  <select name="deliv_date_day" style="<!--{$arrErr[$key]|sfGetErrorColor}-->"> 
+                                    <!--{html_options options=$arrDayDelivDate selected=$arrForm.deliv_date_day.value|default:""}--> 
+                                  </select>日
                                 </td>
                             </tr>
Index: branches/version-2/data/Smarty/templates/default/admin/order/index.tpl
===================================================================
--- branches/version-2/data/Smarty/templates/default/admin/order/index.tpl	(revision 18177)
+++ branches/version-2/data/Smarty/templates/default/admin/order/index.tpl	(revision 18561)
@@ -450,5 +450,5 @@
                             <td align="center"><a href="<!--{$smarty.server.PHP_SELF|escape}-->" onclick="fnChangeAction('<!--{$smarty.const.URL_ORDER_EDIT}-->'); fnModeSubmit('pre_edit', 'order_id', '<!--{$arrResults[cnt].order_id}-->'); return false;"><span class="icon_edit">編集</span></a></td>
                             <td align="center"><a href="<!--{$smarty.server.PHP_SELF|escape}-->" onclick="fnChangeAction('<!--{$smarty.const.URL_ORDER_MAIL}-->'); fnModeSubmit('pre_edit', 'order_id', '<!--{$arrResults[cnt].order_id}-->'); return false;"><span class="icon_mail">通知</span></a></td>
-                            <td align="center"><a href="<!--{$smarty.server.PHP_SELF|escape}-->" onclick="fnModeSubmit('delete', 'order_id', <!--{$arrResults[cnt].order_id}-->); return false;"><span class="icon_delete">削除</span></a></td>
+                            <td align="center"><a href="<!--{$smarty.server.PHP_SELF|escape}-->" onclick="fnModeSubmit('delete_order', 'order_id', <!--{$arrResults[cnt].order_id}-->); return false;"><span class="icon_delete">削除</span></a></td>
                         </tr>
                         <!--{/section}-->
Index: branches/version-2/data/Smarty/templates/default/admin/order/pdf_input.tpl
===================================================================
--- branches/version-2/data/Smarty/templates/default/admin/order/pdf_input.tpl	(revision 18177)
+++ branches/version-2/data/Smarty/templates/default/admin/order/pdf_input.tpl	(revision 18561)
Index: branches/version-2/data/Smarty/templates/default/admin/order/disp.tpl
===================================================================
--- branches/version-2/data/Smarty/templates/default/admin/order/disp.tpl	(revision 18177)
+++ branches/version-2/data/Smarty/templates/default/admin/order/disp.tpl	(revision 18561)
@@ -156,8 +156,8 @@
                         </table>
 
-                        <!--▼配送先情報ここから-->
+                        <!--▼お届け先情報ここから-->
                         <table width="678" border="0" cellspacing="1" cellpadding="8" summary=" ">
                             <tr class="fs12n">
-                                <td bgcolor="#f2f1ec" width="717" colspan="4">▼配送先情報</td>
+                                <td bgcolor="#f2f1ec" width="717" colspan="4">▼お届け先情報</td>
                             </tr>
                             <tr class="fs12n">
@@ -204,5 +204,5 @@
                             </tr>
                         </table>
-                        <!--▲配送先情報ここまで-->
+                        <!--▲お届け先情報ここまで-->
 
                         <table width="678" border="0" cellspacing="0" cellpadding="0" summary=" ">
@@ -323,5 +323,5 @@
                             <!--{/if}-->
                             <tr class="fs12n">
-                                <td bgcolor="#f0f0f0" colspan="5">▼時間指定</td>
+                                <td bgcolor="#f0f0f0" colspan="5">▼お届け指定</td>
                             </tr>
                             <tr class="fs12n">
@@ -331,5 +331,5 @@
                             </tr>
                             <tr class="fs12n">
-                                <td bgcolor="#f0f0f0" colspan="6">▼配達日指定</td>
+                                <td bgcolor="#f0f0f0" colspan="6">▼お届け日指定</td>
                             </tr>
                             <tr class="fs12n">
Index: branches/version-2/data/Smarty/templates/default/admin/order/status.tpl
===================================================================
--- branches/version-2/data/Smarty/templates/default/admin/order/status.tpl	(revision 18177)
+++ branches/version-2/data/Smarty/templates/default/admin/order/status.tpl	(revision 18561)
@@ -70,5 +70,5 @@
 									<table border="0" cellspacing="0" cellpadding="0" summary=" ">
 										<tr>
-											<td>
+											<td align="center">
 												<select name="change_status">
 												<option value="" selected="selected" style="<!--{$Errormes|sfGetErrorColor}-->" >選択してください</option>
@@ -80,6 +80,10 @@
 												<option value="delete">削除</option>
 												</select>
+											<input type="button" name="regist" value="反映" onclick="fnSelectCheckSubmit();"></td>
+										</tr>
+										<tr>
+											<td>
+                        <span class="red12">※ <!--{$arrORDERSTATUS[$smarty.const.ORDER_CANCEL]}-->もしくは、削除に変更時には、在庫数を手動で戻してください。</span><br />
 											</td>
-											<td><input type="button" name="regist" value="反映" onclick="fnSelectCheckSubmit();"></td>
 										</tr>
 									</table>
Index: branches/version-2/data/Smarty/templates/default/admin/system/parameter.tpl
===================================================================
--- branches/version-2/data/Smarty/templates/default/admin/system/parameter.tpl	(revision 17330)
+++ branches/version-2/data/Smarty/templates/default/admin/system/parameter.tpl	(revision 18561)
@@ -86,5 +86,5 @@
     <div>
       <!--{assign var=key value=$arrKeys[cnt]}-->
-      <input type="text" name="<!--{$arrKeys[cnt]|escape}-->" value="<!--{$arrValues[cnt]|escape}-->" size="64" style="<!--{if $arrErr.$key != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}--><!--{/if}-->">
+      <input type="text" name="<!--{$arrKeys[cnt]|escape}-->" value="<!--{$arrValues[cnt]|escape}-->" size="64" style="width: 370px;<!--{if $arrErr.$key != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}--><!--{/if}-->">
       <span class="red12"><!--{$arrErr.$key}--></span>
     </div>
Index: branches/version-2/data/Smarty/templates/default/mobile/mypage/history_detail.tpl
===================================================================
--- branches/version-2/data/Smarty/templates/default/mobile/mypage/history_detail.tpl	(revision 16582)
+++ branches/version-2/data/Smarty/templates/default/mobile/mypage/history_detail.tpl	(revision 18561)
@@ -28,5 +28,5 @@
 注文番号:<!--{$arrDisp.order_id}--><br>
 <br>
-【配送先】<br>
+【お届け先】<br>
 	<!--{assign var=key1 value="deliv_name01"}--><!--{assign var=key2 value="deliv_name02"}-->
 	<!--{$arrDisp[$key1]|escape}-->&nbsp;<!--{$arrDisp[$key2]|escape}--><br>
@@ -37,5 +37,5 @@
 	<!--{assign var=key value="deliv_addr02"}--><!--{$arrDisp[$key]|escape}--><br>
 <br>
-【配送日時指定】<br>
+【お届け日時指定】<br>
 <!--{if $arrDisp.deliv_date eq "" and $arrDelivTime[$arrDisp.deliv_time_id] eq ""}-->
 	指定なし<br>
Index: branches/version-2/data/Smarty/templates/default/mobile/shopping/confirm.tpl
===================================================================
--- branches/version-2/data/Smarty/templates/default/mobile/shopping/confirm.tpl	(revision 17848)
+++ branches/version-2/data/Smarty/templates/default/mobile/shopping/confirm.tpl	(revision 18561)
@@ -34,5 +34,5 @@
 <br>
 
-【配送先】<br>
+【お届け先】<br>
 <!--{* 別のお届け先が選択されている場合 *}-->
 <!--{if $arrData.deliv_check >= 1}-->
@@ -48,5 +48,5 @@
 <br>
 
-【配送日時指定】<br>
+【お届け日時指定】<br>
 日：<!--{$arrData.deliv_date|escape|default:"指定なし"}--><br>
 時間：<!--{$arrData.deliv_time|escape|default:"指定なし"}--><br>
Index: branches/version-2/data/Smarty/templates/default/mobile/shopping/deliv_date.tpl
===================================================================
--- branches/version-2/data/Smarty/templates/default/mobile/shopping/deliv_date.tpl	(revision 17848)
+++ branches/version-2/data/Smarty/templates/default/mobile/shopping/deliv_date.tpl	(revision 18561)
@@ -35,5 +35,5 @@
 <!--{/if}-->
 
-■配送日指定<br>
+■お届け日<br>
 <!--{assign var=key value="deliv_date"}-->
 <!--{if $arrErr[$key] != ""}-->
@@ -50,5 +50,5 @@
 <br><br>
 
-■時間帯指定<br>
+■お届け時間<br>
 <!--{assign var=key value="deliv_time_id"}-->
 <!--{if $arrErr[$key] != ""}-->
Index: branches/version-2/data/Smarty/templates/default/mobile/shopping/deliv.tpl
===================================================================
--- branches/version-2/data/Smarty/templates/default/mobile/shopping/deliv.tpl	(revision 17848)
+++ branches/version-2/data/Smarty/templates/default/mobile/shopping/deliv.tpl	(revision 18561)
@@ -22,5 +22,5 @@
  */
 *}-->
-<center>配送先指定</center>
+<center>お届け先指定</center>
 
 <hr>
@@ -42,5 +42,5 @@
 <input type="hidden" name="other_deliv_id" value="<!--{$arrAddr[cnt].other_deliv_id}-->">
 <!--{/if}-->
-■配送先<!--{$smarty.section.cnt.iteration}--><br>
+■お届け先<!--{$smarty.section.cnt.iteration}--><br>
 〒<!--{$arrAddr[cnt].zip01}-->-<!--{$arrAddr[cnt].zip02}--><br>
 <!--{assign var=key value=$arrAddr[cnt].pref}--><!--{$arrPref[$key]}--><!--{$arrAddr[cnt].addr01|escape}--><br>
Index: branches/version-2/data/Smarty/templates/default/mobile/top.tpl
===================================================================
--- branches/version-2/data/Smarty/templates/default/mobile/top.tpl	(revision 18432)
+++ branches/version-2/data/Smarty/templates/default/mobile/top.tpl	(revision 18561)
@@ -52,5 +52,5 @@
 <!--{/if}-->
 <a href="guide/index.php" accesskey="4"><!--{4|numeric_emoji}-->ご利用ガイド</a><br>
-<a href="<!--{$smarty.const.MOBILE_SSL_URL}-->contact/index.php" accesskey="5"><!--{5|numeric_emoji}-->お問い合せ</a><br>
+<a href="<!--{$smarty.const.MOBILE_SSL_URL}-->contact/index.php?PHPSESSID=<!--{$smarty.get.PHPSESSID|urlencode}-->" accesskey="5"><!--{5|numeric_emoji}-->お問い合せ</a><br>
 <a href="mypage/index.php" accesskey="6" utn><!--{6|numeric_emoji}-->MYページ</a><br>
 <!-- ▲メニュー ここまで -->
Index: branches/version-2/data/Smarty/templates/default/bloc/calendar.tpl
===================================================================
--- branches/version-2/data/Smarty/templates/default/bloc/calendar.tpl	(revision 17250)
+++ branches/version-2/data/Smarty/templates/default/bloc/calendar.tpl	(revision 18561)